image: debian:latest

services:
  - docker:dind

build:
  variables:
    CI_DEBUG_TRACE: "false"
  stage: build
  script:
    - apt-get update
    - apt-get install -y --no-install-recommends docker.io python3 python3-pip
    - export IMAGE_TAG=${CI_COMMIT_TAG:-latest}
    - docker login -u "gitlab-ci-token" -p "$CI_JOB_TOKEN" $CI_REGISTRY
    - pip3 install --break-system-packages ansible-builder
    - ansible-builder build --tag="${CI_REGISTRY_IMAGE}:${IMAGE_TAG}"
    - docker push "${CI_REGISTRY_IMAGE}:${IMAGE_TAG}"

